Create a webhook
curl --request POST \
--url https://app.simpledocs.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "no_auth",
"username": "<string>",
"password": "<string>",
"token": "<string>"
}
'import requests
url = "https://app.simpledocs.com/api/v1/webhooks"
payload = {
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "no_auth",
"username": "<string>",
"password": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Salesforce Integration',
url: 'https://example.com/webhooks/simpledocs',
auth_type: 'no_auth',
username: '<string>',
password: '<string>',
token: '<string>'
})
};
fetch('https://app.simpledocs.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"type": "webhook",
"attributes": {
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "bearer",
"events": [
"execution_complete"
]
}
}
}
Webhooks
Create a webhook
Register a new webhook endpoint. The webhook will automatically subscribe to the execution_complete event.
Authentication credentials depend on the auth_type:
no_auth— no additional fields requiredbasic— requiresusernameandpasswordbearer— requirestoken
Requires the write scope.
Create a webhook
curl --request POST \
--url https://app.simpledocs.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "no_auth",
"username": "<string>",
"password": "<string>",
"token": "<string>"
}
'import requests
url = "https://app.simpledocs.com/api/v1/webhooks"
payload = {
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "no_auth",
"username": "<string>",
"password": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Salesforce Integration',
url: 'https://example.com/webhooks/simpledocs',
auth_type: 'no_auth',
username: '<string>',
password: '<string>',
token: '<string>'
})
};
fetch('https://app.simpledocs.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"type": "webhook",
"attributes": {
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "bearer",
"events": [
"execution_complete"
]
}
}
}
Authorizations
Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.
Body
application/json
A human-readable name for the webhook.
Example:
"Salesforce Integration"
The HTTPS URL that will receive webhook payloads.
Example:
"https://example.com/webhooks/simpledocs"
The authentication method for webhook delivery.
Available options:
no_auth, basic, bearer Username for basic authentication.
Password for basic authentication.
Bearer token for bearer authentication.
Response
Webhook created successfully.
Show child attributes
Show child attributes